FROM node:10
ENV APP_DIR /usr/src/app
RUN mkdir -p $APP_DIR
WORKDIR ${APP_DIR}
ADD package*.json $APP_DIR/
ADD yarn.lock $APP_DIR/
ADD .npmrc $APP_DIR/
ADD dist $APP_DIR/dist
ADD config $APP_DIR/config
ADD node_modules $APP_DIR/node_modules
ADD next.config.js $APP_DIR/
ADD babel.config.js $APP_DIR/
ADD public $APP_DIR/public
RUN yarn global add cross-env
CMD yarn start-app




